%define major 0
%define libname %mklibname revenge %{major}
%define devname %mklibname -d revenge
%define apiversion 0.0

Name: librevenge
Version: 0.0.4
Release: %mkrel 1
Summary: A base library for writing document import filters
Group: System/Libraries
License: (LGPLv2+ or MPLv2.0) and BSD
URL: http://sourceforge.net/p/libwpd/wiki/librevenge/
Source: http://downloads.sourceforge.net/libwpd/%{name}-%{version}.tar.xz
BuildRequires: boost-devel
BuildRequires: doxygen

%description
%{name} is a base library for writing document import filters. It has
interfaces for text documents, vector graphics, spreadsheets and
presentations.

%package -n %{libname}
Summary: Base library for writing document import filters
Group: System/Libraries

%description -n %{libname}
%{name} is a base library for writing document import filters. It has
interfaces for text documents, vector graphics, spreadsheets and
presentations.

%package -n %{devname}
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package gdb
Summary: gdb pretty printers for %{name}
Requires: gdb
Requires: python3-six
Requires: %{libname} = %{version}-%{release}

%description gdb
The %{name}-gdb package contains gdb pretty printers that help with
debugging applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-silent-rules --disable-static --disable-werror --enable-pretty-printers

sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool

%make

%install
rm -rf %buildroot
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}


%files -n %{libname}
%{_libdir}/%{name}-%{apiversion}.so.*
%{_libdir}/%{name}-generators-%{apiversion}.so.*
%{_libdir}/%{name}-stream-%{apiversion}.so.*

%files -n %{devname}
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/%{name}-generators-%{apiversion}.so
%{_libdir}/%{name}-stream-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc
%{_libdir}/pkgconfig/%{name}-generators-%{apiversion}.pc
%{_libdir}/pkgconfig/%{name}-stream-%{apiversion}.pc

%files doc
%doc docs/doxygen/html

%files gdb
%{_datadir}/gdb/auto-load%{_libdir}/%{name}-%{apiversion}.py*
%{_datadir}/gdb/auto-load%{_libdir}/%{name}-stream-%{apiversion}.py*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/python


%changelog
* Sat Jan 07 2017 adrianomorselli <adrianomorselli> 0.0.4-1uplos2017
- rebuild

* Thu Oct 27 2016 bb <bb> 0.0.4-1pclos2016
- import from france

